"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const array_1 = __importDefault(require("./array"));
const object_1 = __importDefault(require("./object"));
const string_1 = __importDefault(require("./string"));
const date_1 = __importDefault(require("./date"));
const truncate_diff_1 = __importDefault(require("./truncate-diff"));
function buildDiff(err, maxStringLength) {
    if (err.isArrays)
        return (0, array_1.default)(err, maxStringLength);
    if (err.isObjects)
        return (0, object_1.default)(err, maxStringLength);
    if (err.isStrings)
        return (0, string_1.default)(err, maxStringLength);
    if (err.isDates)
        return (0, date_1.default)(err);
    return (0, truncate_diff_1.default)(err, maxStringLength);
}
exports.default = buildDiff;
