"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const date_1 = __importDefault(require("./date"));
const string_1 = __importDefault(require("./string"));
const truncate_diff_1 = __importDefault(require("./truncate-diff"));
function getObjectsDiff(err, maxStringLength) {
    if (err.diffType && err.diffType.isDates)
        return (0, date_1.default)(err);
    if (err.diffType && err.diffType.isStrings)
        return (0, string_1.default)(err, maxStringLength);
    return (0, truncate_diff_1.default)(err, maxStringLength);
}
exports.default = getObjectsDiff;
